Bug 116444 - [ath] Atheros 5005G (AR5212) miniPCI: unable to attach device hal status 3
Summary: [ath] Atheros 5005G (AR5212) miniPCI: unable to attach device hal status 3
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 6.2-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: Volker Werth
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-09-18 18:30 UTC by snthibaud
Modified: 2018-05-28 19:45 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description snthibaud 2007-09-18 18:30:02 UTC
Couldn't get the environment output... my FreeBSD isn't installed anymore
on my laptop because of this issue, but I would like to get back.

I have a laptop with a miniPCI version of the Atheros 5005G (I'm sure
it is, Vista says it and the deviceID's correspond too). Under madwifi it
works as explained in this madwifi ticket: http://madwifi.org/ticket/1546,
but FreeBSD uses different code apparently. 

It should be noted that hal stops with error status 3 (unable to attach
device), not 13. So it's not about unrecognized hardware at first glance,
and the 5005G should be supported anyway (according to the ath manpage).

How-To-Repeat: By booting with a standard kernel.
Comment 1 Volker Werth freebsd_committer 2009-01-14 23:43:43 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-net


Over to maintainer(s).
Comment 2 Volker Werth freebsd_committer 2009-01-30 22:06:41 UTC
State Changed
From-To: open->suspended

Stephane, 
without seeing any details at all (the madwifi ticket URL is also invalid) 
there's nothing we can do about your issue. Please feel free to give 
us device specific information like a verbose boot dmesg, pciconf -lv, 
devinfo -rv and the like. Also if you think your issue should be worked out, 
please check a more recent relase of FreeBSD. 
Thank you for reporting! 
As we think we're unable to do anything for this problem ATM, we're 
suspending this PR. 


Comment 3 Volker Werth freebsd_committer 2009-01-30 22:06:41 UTC
Responsible Changed
From-To: freebsd-net->vwe

track
Comment 4 Dalibor Gudzic 2009-01-31 22:31:45 UTC
I'm not the original poster that has opened this PR, but I got the same
error on FS Amilo Pro V3515 laptop. Here is more information:

dmesg:

Copyright (c) 1992-2009 The FreeBSD Project.
Copyright (c) 1979, 1980, 1983, 1986, 1988, 1989, 1991, 1992, 1993, 1994
    The Regents of the University of California. All rights reserved.
FreeBSD is a registered trademark of The FreeBSD Foundation.
FreeBSD 7.1-RELEASE #0: Thu Jan  1 14:37:25 UTC 2009
    root@logan.cse.buffalo.edu:/usr/obj/usr/src/sys/GENERIC
Timecounter "i8254" frequency 1193182 Hz quality 0
CPU: Intel(R) Celeron(R) M CPU        430  @ 1.73GHz (1729.02-MHz 686-class
CPU)
  Origin = "GenuineIntel"  Id = 0x6e8  Stepping = 8

Features=0xafe9fbff<FPU,VME,DE,PSE,TSC,MSR,PAE,MCE,CX8,APIC,SEP,MTRR,PGE,MCA,CMOV,PAT,CLFLUSH,DTS,ACPI,MMX,FXSR,SSE,SSE2,SS,TM,PBE>
  Features2=0xc109<SSE3,MON,TM2,xTPR,PDCM>
  AMD Features=0x100000<NX>
real memory  = 1541996544 (1470 MB)
avail memory = 1497018368 (1427 MB)
ACPI APIC Table: <PTLTD       APIC  >
MADT: Forcing active-low polarity and level trigger for SCI
ioapic0 <Version 0.3> irqs 0-23 on motherboard
ioapic1 <Version 0.3> irqs 24-47 on motherboard
kbd1 at kbdmux0
ath_hal: 0.9.20.3 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413)
acpi0: <FSC PC> on motherboard
acpi0: [ITHREAD]
acpi0: Power Button (fixed)
acpi0: reservation of f0013000, 1000 (3) failed
acpi0: reservation of 0, a0000 (3) failed
Timecounter "ACPI-fast" frequency 3579545 Hz quality 1000
acpi_timer0: <24-bit timer at 3.579545MHz> port 0x4008-0x400b on acpi0
acpi_button0: <Power Button> on acpi0
acpi_lid0: <Control Method Lid Switch> on acpi0
pcib0: <ACPI Host-PCI bridge> port 0xcf8-0xcff on acpi0
pci0: <ACPI PCI bus> on pcib0
pcib1: <ACPI PCI-PCI bridge> at device 1.0 on pci0
pci1: <ACPI PCI bus> on pcib1
vgapci0: <VGA-compatible display> mem
0xa0000000-0xbfffffff,0xc8000000-0xc8ffffff irq 16 at device 0.0 on pci1
pcib2: <ACPI PCI-PCI bridge> irq 27 at device 2.0 on pci0
pci2: <ACPI PCI bus> on pcib2
pcib3: <ACPI PCI-PCI bridge> irq 31 at device 3.0 on pci0
pci3: <ACPI PCI bus> on pcib3
atapci0: <VIA 8237A SATA150 controller> port
0x60b8-0x60bf,0x60b0-0x60b3,0x6008-0x600f,0x6004-0x6007,0x6010-0x601f,0x6400-0x64ff
irq 21 at device 15.0 on pci0
atapci0: [ITHREAD]
ata2: <ATA channel 0> on atapci0
ata2: [ITHREAD]
ata3: <ATA channel 1> on atapci0
ata3: [ITHREAD]
atapci1: <VIA 8237A UDMA133 controller> port
0x1f0-0x1f7,0x3f6,0x170-0x177,0x376,0x60a0-0x60af at device 15.1 on pci0
ata0: <ATA channel 0> on atapci1
ata0: [ITHREAD]
ata1: <ATA channel 1> on atapci1
ata1: [ITHREAD]
uhci0: <VIA 83C572 USB controller> port 0x6020-0x603f irq 20 at device 16.0
on pci0
uhci0: [GIANT-LOCKED]
uhci0: [ITHREAD]
usb0: <VIA 83C572 USB controller> on uhci0
usb0: USB revision 1.0
uhub0: <VIA UHCI root hub, class 9/0, rev 1.00/1.00, addr 1> on usb0
uhub0: 2 ports with 2 removable, self powered
uhci1: <VIA 83C572 USB controller> port 0x6040-0x605f irq 22 at device 16.1
on pci0
uhci1: [GIANT-LOCKED]
uhci1: [ITHREAD]
usb1: <VIA 83C572 USB controller> on uhci1
usb1: USB revision 1.0
uhub1: <VIA UHCI root hub, class 9/0, rev 1.00/1.00, addr 1> on usb1
uhub1: 2 ports with 2 removable, self powered
uhci2: <VIA 83C572 USB controller> port 0x6060-0x607f irq 21 at device 16.2
on pci0
uhci2: [GIANT-LOCKED]
uhci2: [ITHREAD]
usb2: <VIA 83C572 USB controller> on uhci2
usb2: USB revision 1.0
uhub2: <VIA UHCI root hub, class 9/0, rev 1.00/1.00, addr 1> on usb2
uhub2: 2 ports with 2 removable, self powered
uhci3: <VIA 83C572 USB controller> port 0x6080-0x609f irq 23 at device 16.3
on pci0
uhci3: [GIANT-LOCKED]
uhci3: [ITHREAD]
usb3: <VIA 83C572 USB controller> on uhci3
usb3: USB revision 1.0
uhub3: <VIA UHCI root hub, class 9/0, rev 1.00/1.00, addr 1> on usb3
uhub3: 2 ports with 2 removable, self powered
ehci0: <VIA VT6202 USB 2.0 controller> mem 0xc9400000-0xc94000ff irq 21 at
device 16.4 on pci0
ehci0: [GIANT-LOCKED]
ehci0: [ITHREAD]
usb4: waiting for BIOS to give up control
usb4: timed out waiting for BIOS
usb4: EHCI version 1.0
usb4: companion controllers, 2 ports each: usb0 usb1 usb2 usb3
usb4: <VIA VT6202 USB 2.0 controller> on ehci0
usb4: USB revision 2.0
uhub4: <VIA EHCI root hub, class 9/0, rev 2.00/1.00, addr 1> on usb4
uhub4: 8 ports with 8 removable, self powered
umass0: <vendor 0x3538 USB Mass Storage Device, class 0/0, rev 2.00/1.00,
addr 2> on uhub4
isab0: <PCI-ISA bridge> at device 17.0 on pci0
isa0: <ISA bus> on isab0
vr0: <VIA VT6102 Rhine II 10/100BaseTX> port 0x6800-0x68ff mem
0xc9400400-0xc94004ff irq 23 at device 18.0 on pci0
vr0: Quirks: 0x0
vr0: Revision: 0x7c
miibus0: <MII bus> on vr0
ukphy0: <Generic IEEE 802.3u media interface> PHY 1 on miibus0
ukphy0:  10baseT, 10baseT-FDX, 100baseTX, 100baseTX-FDX, auto
vr0: Ethernet address: 00:14:0b:08:64:5b
vr0: [ITHREAD]
pcib4: <ACPI PCI-PCI bridge> at device 19.0 on pci0
pci4: <ACPI PCI bus> on pcib4
pci4: <multimedia> at device 1.0 (no driver attached)
pcib5: <ACPI PCI-PCI bridge> at device 19.1 on pci0
pci5: <ACPI PCI bus> on pcib5
ath0: <Atheros 5212> mem 0xc9000000-0xc900ffff irq 18 at device 1.0 on pci5
ath0: [ITHREAD]
ath0: unable to attach hardware; HAL status 3
device_attach: ath0 attach returned 6
acpi_acad0: <AC Adapter> on acpi0
battery0: <ACPI Control Method Battery> on acpi0
acpi_tz0: <Thermal Zone> on acpi0
atkbdc0: <Keyboard controller (i8042)> port 0x60,0x64 irq 1 on acpi0
atkbd0: <AT Keyboard> irq 1 on atkbdc0
kbd0 at atkbd0
atkbd0: [GIANT-LOCKED]
atkbd0: [ITHREAD]
psm0: <PS/2 Mouse> irq 12 on atkbdc0
psm0: [GIANT-LOCKED]
psm0: [ITHREAD]
psm0: model GlidePoint, device ID 0
cpu0: <ACPI CPU> on acpi0
p4tcc0: <CPU Frequency Thermal Control> on cpu0
pmtimer0 on isa0
sc0: <System console> at flags 0x100 on isa0
sc0: VGA <16 virtual consoles, flags=0x300>
sio0: configured irq 4 not in bitmap of probed irqs 0
sio0: port may not be enabled
sio0: configured irq 4 not in bitmap of probed irqs 0
sio0: port may not be enabled
sio0 at port 0x3f8-0x3ff irq 4 flags 0x10 on isa0
sio0: type 8250 or not responding
sio0: [FILTER]
sio1: configured irq 3 not in bitmap of probed irqs 0
sio1: port may not be enabled
vga0: <Generic ISA VGA> at port 0x3c0-0x3df iomem 0xa0000-0xbffff on isa0
Timecounter "TSC" frequency 1729018252 Hz quality 800
Timecounters tick every 1.000 msec
acd0: DVDR <HL-DT-ST DVDRAM GSA-T10N/PW02> at ata1-master UDMA33
ad4: 57231MB <WDC WD600BEVS-07LAT0 01.06M01> at ata2-master SATA150
GEOM_LABEL: Label for provider ad4s4 is ext2fs//.
da0 at umass-sim0 bus 0 target 0 lun 0
da0: <Generic USB Flash Disk 0.00> Removable Direct Access SCSI-2 device
da0: 40.000MB/s transfers
da0: 984MB (2015232 512 byte sectors: 64H 32S/T 984C)
Trying to mount root from ufs:/dev/ad4s3a

pciconf -lv:

ath0@pci0:5:1:0:    class=0x020000 card=0x2052168c chip=0x001a168c rev=0x01
hdr=0x00
    vendor     = 'Atheros Communications Inc.'
    device     = 'Atheros AR5005G Atheros AR5005G 802.11abg NIC Chipset /
TP-Link (TL-WN551G)'
    class      = network
    subclass   = ethernet

If there is something else I could provide, or even go to -current, pls let
me know. Card is working properly with Windows XP and Fedora 10, but fails
with both NetBSD and OpenSBD too.
Comment 5 Eitan Adler freebsd_committer freebsd_triage 2018-05-28 19:45:22 UTC
batch change:

For bugs that match the following
-  Status Is In progress 
AND
- Untouched since 2018-01-01.
AND
- Affects Base System OR Documentation

DO:

Reset to open status.


Note:
I did a quick pass but if you are getting this email it might be worthwhile to double check to see if this bug ought to be closed.